| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# HbookCnv::DirectoryCnv Class Reference

`#include <DirectoryCnv.h>`

Inheritance diagram for HbookCnv::DirectoryCnv:

[legend]
Collaboration diagram for HbookCnv::DirectoryCnv:

[legend]
List of all members.

## Detailed Description

Definition at line 20 of file DirectoryCnv.h.

## Public Member Functions
| DirectoryCnv (ISvcLocator *svc)
| Standard constructor.
virtual | ~DirectoryCnv ()
| Standard destructor.
## Static Public Member Functions
static const CLID & | classID ()
| Inquire class type.
## Friends
class | CnvFactory< DirectoryCnv >

## Constructor & Destructor Documentation

HbookCnv::DirectoryCnv::DirectoryCnv | ( | ISvcLocator * | svc | ) | `[inline]`

Standard constructor.

Definition at line 28 of file DirectoryCnv.h.

References HbookCnv::HConverter::m_prefix.

    00028                                      : HDirectoryCnv(svc, CLID_DataObject)   {
    00029       m_prefix = "/stat";
    00030     }

virtual HbookCnv::DirectoryCnv::~DirectoryCnv | ( |  | ) | `[inline, virtual]`

Standard destructor.

Definition at line 32 of file DirectoryCnv.h.

    00032                             {
    00033     }

## Member Function Documentation

static const CLID& HbookCnv::DirectoryCnv::classID | ( |  | ) | `[inline, static]`

Inquire class type.

Reimplemented from HbookCnv::HDirectoryCnv.

Definition at line 24 of file DirectoryCnv.h.

References CLID_DataObject.

    00024                                       {
    00025       return CLID_DataObject;
    00026     }

## Friends And Related Function Documentation

friend class CnvFactory< DirectoryCnv >`[friend]`

Definition at line 21 of file DirectoryCnv.h.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/HbookCnv/v14r13/src/DirectoryCnv.h